Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.binder
Interface ConstraintSource

All Known Subinterfaces:
  UniqueConstraintSource

    public interface ConstraintSource

Contract describing source of table constraints

Method Summary
`Iterable<String>` | `columnNames()`
`String` | `getTableName()` Obtain the logical name of the table for this constraint.
`String` | `name()`

Method Detail

### name

    String name()

  Returns:
    returns the name of the constraint or `null` in case a generated name should be used

### getTableName

    String getTableName()

  Obtain the logical name of the table for this constraint.

  Returns:
    The logical table name. Can be `null` in the case of the "primary table".

### columnNames

    Iterable<String> columnNames()

  Returns:
    returns the names of the column which are part of this constraint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.